INSERT INTO VS4TQuotationBook (TQBkCode,TQBkName,TQBkName2,TQBkFlag1)
select TsBkCode,TsBkName,TsBkName2,TsBkFlag1 from VS4TSOBook
GO
UPDATE VS4TQuotation Set TQuoTQBkCode=(SELECT TOP 1 TSBKCode from VS4TSOBook ORDER BY TSBKCode) where TQuoTQBkCode is null
GO
ALTER TABLE VS4TQuotation ALTER COLUMN
	TQuoTQBkCode nvarchar(30) NOT NULL
GO